## org.gnu.gtk
Class SizeGroupMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SizeGroupMode

public class SizeGroupMode
extends org.gnu.glib.Enum

Modes for `SizeGroup` objects.

See Also:
  `SizeGroup`

Field Summary
`static SizeGroupMode` `BOTH` group effects both horizontal and vertical requisition
`static SizeGroupMode` `HORIZONTAL` group effects horizontal requisition
`static SizeGroupMode` `NONE` group has no effect
`static SizeGroupMode` `VERTICAL` group effects vertical requisition

Method Summary
`SizeGroupMode` `and(SizeGroupMode other)`
`static SizeGroupMode` `intern(int value)`
`SizeGroupMode` `or(SizeGroupMode other)`
`boolean` `test(SizeGroupMode other)`
`SizeGroupMode` `xor(SizeGroupMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final SizeGroupMode NONE

  group has no effect

### HORIZONTAL

    public static final SizeGroupMode HORIZONTAL

  group effects horizontal requisition

### VERTICAL

    public static final SizeGroupMode VERTICAL

  group effects vertical requisition

### BOTH

    public static final SizeGroupMode BOTH

  group effects both horizontal and vertical requisition

Method Detail

### intern

    public static SizeGroupMode intern(int value)

### or

    public SizeGroupMode or(SizeGroupMode other)

### and

    public SizeGroupMode and(SizeGroupMode other)

### xor

    public SizeGroupMode xor(SizeGroupMode other)

### test

    public boolean test(SizeGroupMode other)